/*
 * Statistics.h
 *
 *  Created on: May 11, 2011
 *      Author: fritz
 */

#ifndef STATISTICS_H_
#define STATISTICS_H_

#include <fstream>
#include "string"
#include <stdlib.h>
#include <iostream>
using std::string;
using std::ofstream;

using std::cout;
using std::endl;
class Statistics {

protected:
	int max_length;
	string fileName;
	virtual void produce_plot()=0;
public:
	Statistics();
	Statistics(int max_length,char const * const fileName);
	virtual ~Statistics(){
		fileName.clear();
	}

	virtual void init()=0;
	virtual void add(char const * seq)=0;
	virtual void print ()=0;

};


#endif /* STATISTICS_H_ */
