
length_plot<-function(filename){

tab<-read.table(filename,header=T)

b<-c(1:length(tab[,1]))
b[2]=0
b[1]=100
plot(b, type='n',ylab="% reads ended at position (x) ",xlab="length of the sequence",main="Number of reads ended with lenght (x-axis)",cex.lab=1.5)
lines((tab/sum(tab))*100,col='black')
}






composition_plot<-function(filename){
tab<-read.table(filename,sep='\t',header=F)

barplot(t(tab[,1:4]),col=c('blue','green','red','orange'),space=0,width=1,main="Base composition",ylab="# of reads",xlab="position in the sequence",cex.lab=1.5)

axis(1,labels<-c(1:length(tab[,1])))
legend('topright', c("#A", "#C","#G","#T"), col =c('blue','green','red','orange'),fill =  c('orange','red','green','blue'),cex=1.5)
}
