#ifndef __NGMTASK_H__
#define __NGMTASK_H__

class NGMTask
{
protected:
	friend class _NGM;

	int m_TID;
	bool m_FinishedStage;
public:
	void Run();
	void FinishStage();
	virtual void DoRun() = 0;
	virtual int GetStage() const = 0;
	virtual char const * GetName() const = 0;

	virtual ~NGMTask() {}
};

#endif
