/*
 * Parser.cpp
 *
 *  Created on: Feb 17, 2011
 *      Author: philipp_
 */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>

#include "Parser.h"

void Parser::open(char *seqfile) {

	ffp = (SEQFILE*) malloc(sizeof(SEQFILE));
	ffp->fp = fopen(seqfile, "rb"); /* Assume seqfile exists & readable!   */
	if (ffp->fp == NULL) {
		free(ffp);
		return;
	}
	ffp->filePos = ftell(ffp->fp);
	if ((fgets(ffp->buffer, FASTA_MAXLINE, ffp->fp)) == NULL) {
		free(ffp);
		return;
	}
}

void Parser::close() {
	fclose(ffp->fp);
	free(ffp);
}
